package com.mortals.xhx.office.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:Information
* date: 2021-7-29 14:50:18
*/
public class InformationEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1627541418276L;


    /**
    * 实施清单名称
    */
    private String eventName;

    /**
    * 实施清单编码
    */
    private String eventCode;

    /**
    * 申请人属性,1：法人 2：自然人
    */
    private Integer applicantAttributes;

    /**
    * 申请人证件类型
    */
    private String applicantCardType;

    /**
    * 申请人姓名
    */
    private String applicantName;

    /**
    * 申请人证件号码
    */
    private String applicantCardNumbe;

    /**
    * 申请人手机号码
    */
    private String applicantPhoneNumber;

    /**
    * 机构名称
    */
    private String organizationName;

    /**
    * 机构地址
    */
    private String organizationAddress;

    /**
    * 机构证件类型
    */
    private String organizationCardType;

    /**
    * 机构证件编码
    */
    private String organizationCardNumber;

    /**
    * 机构代表人姓名,法人姓名
    */
    private String legalPerson;

    /**
    * 流程开始时间
    */
    private Date processStartedTime;

    /**
    * 流程结束时间
    */
    private Date processStopTime;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 地区编码
    */
    private String areaCode;

    public InformationEntity(){

    }
    /**
    * 获取 实施清单名称
    * @return eventName
    */
    public String getEventName() {
        return this.eventName;
    }
    /**
    * 设置 实施清单名称
    * @param eventName
    */
    public void setEventName(String eventName) {
        this.eventName = eventName;
    }
    /**
    * 获取 实施清单编码
    * @return eventCode
    */
    public String getEventCode() {
        return this.eventCode;
    }
    /**
    * 设置 实施清单编码
    * @param eventCode
    */
    public void setEventCode(String eventCode) {
        this.eventCode = eventCode;
    }
    /**
    * 获取 申请人属性,1：法人 2：自然人
    * @return applicantAttributes
    */
    public Integer getApplicantAttributes() {
        return this.applicantAttributes;
    }
    /**
    * 设置 申请人属性,1：法人 2：自然人
    * @param applicantAttributes
    */
    public void setApplicantAttributes(Integer applicantAttributes) {
        this.applicantAttributes = applicantAttributes;
    }
    /**
    * 获取 申请人证件类型
    * @return applicantCardType
    */
    public String getApplicantCardType() {
        return this.applicantCardType;
    }
    /**
    * 设置 申请人证件类型
    * @param applicantCardType
    */
    public void setApplicantCardType(String applicantCardType) {
        this.applicantCardType = applicantCardType;
    }
    /**
    * 获取 申请人姓名
    * @return applicantName
    */
    public String getApplicantName() {
        return this.applicantName;
    }
    /**
    * 设置 申请人姓名
    * @param applicantName
    */
    public void setApplicantName(String applicantName) {
        this.applicantName = applicantName;
    }
    /**
    * 获取 申请人证件号码
    * @return applicantCardNumbe
    */
    public String getApplicantCardNumbe() {
        return this.applicantCardNumbe;
    }
    /**
    * 设置 申请人证件号码
    * @param applicantCardNumbe
    */
    public void setApplicantCardNumbe(String applicantCardNumbe) {
        this.applicantCardNumbe = applicantCardNumbe;
    }
    /**
    * 获取 申请人手机号码
    * @return applicantPhoneNumber
    */
    public String getApplicantPhoneNumber() {
        return this.applicantPhoneNumber;
    }
    /**
    * 设置 申请人手机号码
    * @param applicantPhoneNumber
    */
    public void setApplicantPhoneNumber(String applicantPhoneNumber) {
        this.applicantPhoneNumber = applicantPhoneNumber;
    }
    /**
    * 获取 机构名称
    * @return organizationName
    */
    public String getOrganizationName() {
        return this.organizationName;
    }
    /**
    * 设置 机构名称
    * @param organizationName
    */
    public void setOrganizationName(String organizationName) {
        this.organizationName = organizationName;
    }
    /**
    * 获取 机构地址
    * @return organizationAddress
    */
    public String getOrganizationAddress() {
        return this.organizationAddress;
    }
    /**
    * 设置 机构地址
    * @param organizationAddress
    */
    public void setOrganizationAddress(String organizationAddress) {
        this.organizationAddress = organizationAddress;
    }
    /**
    * 获取 机构证件类型
    * @return organizationCardType
    */
    public String getOrganizationCardType() {
        return this.organizationCardType;
    }
    /**
    * 设置 机构证件类型
    * @param organizationCardType
    */
    public void setOrganizationCardType(String organizationCardType) {
        this.organizationCardType = organizationCardType;
    }
    /**
    * 获取 机构证件编码
    * @return organizationCardNumber
    */
    public String getOrganizationCardNumber() {
        return this.organizationCardNumber;
    }
    /**
    * 设置 机构证件编码
    * @param organizationCardNumber
    */
    public void setOrganizationCardNumber(String organizationCardNumber) {
        this.organizationCardNumber = organizationCardNumber;
    }
    /**
    * 获取 机构代表人姓名,法人姓名
    * @return legalPerson
    */
    public String getLegalPerson() {
        return this.legalPerson;
    }
    /**
    * 设置 机构代表人姓名,法人姓名
    * @param legalPerson
    */
    public void setLegalPerson(String legalPerson) {
        this.legalPerson = legalPerson;
    }
    /**
    * 获取 流程开始时间
    * @return processStartedTime
    */
    public Date getProcessStartedTime() {
        return this.processStartedTime;
    }
    /**
    * 设置 流程开始时间
    * @param processStartedTime
    */
    public void setProcessStartedTime(Date processStartedTime) {
        this.processStartedTime = processStartedTime;
    }
    /**
    * 获取 流程结束时间
    * @return processStopTime
    */
    public Date getProcessStopTime() {
        return this.processStopTime;
    }
    /**
    * 设置 流程结束时间
    * @param processStopTime
    */
    public void setProcessStopTime(Date processStopTime) {
        this.processStopTime = processStopTime;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 地区编码
    * @return areaCode
    */
    public String getAreaCode() {
        return this.areaCode;
    }
    /**
    * 设置 地区编码
    * @param areaCode
    */
    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof InformationEntity) {
            InformationEntity tmp = (InformationEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",eventName:").append(getEventName())
                .append(",eventCode:").append(getEventCode())
                .append(",applicantAttributes:").append(getApplicantAttributes())
                .append(",applicantCardType:").append(getApplicantCardType())
                .append(",applicantName:").append(getApplicantName())
                .append(",applicantCardNumbe:").append(getApplicantCardNumbe())
                .append(",applicantPhoneNumber:").append(getApplicantPhoneNumber())
                .append(",organizationName:").append(getOrganizationName())
                .append(",organizationAddress:").append(getOrganizationAddress())
                .append(",organizationCardType:").append(getOrganizationCardType())
                .append(",organizationCardNumber:").append(getOrganizationCardNumber())
                .append(",legalPerson:").append(getLegalPerson())
                .append(",processStartedTime:").append(getProcessStartedTime())
                .append(",processStopTime:").append(getProcessStopTime())
                .append(",createTime:").append(getCreateTime())
                .append(",areaCode:").append(getAreaCode())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.eventName = null;
         this.eventCode = null;
         this.applicantAttributes = null;
         this.applicantCardType = null;
         this.applicantName = null;
         this.applicantCardNumbe = null;
         this.applicantPhoneNumber = null;
         this.organizationName = null;
         this.organizationAddress = null;
         this.organizationCardType = null;
         this.organizationCardNumber = null;
         this.legalPerson = null;
         this.processStartedTime = null;
         this.processStopTime = null;
         this.createTime = null;
         this.areaCode = null;
    }
}