package com.mortals.xhx.office.model;

import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:InformationExt
* date: 2021-7-29 14:50:18
*/
public class InformationExtEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1627541418299L;


    /**
    * 办件id
    */
    private Long pieceId;

    /**
    * 系统编码
    */
    private String systemCode;

    /**
    * 办件编码
    */
    private String officeCode;

    /**
    * 流程状态名称
    */
    private String processStatusName;

    /**
    * 流程状态编码
    */
    private String processStatusCode;

    public InformationExtEntity(){

    }
    /**
    * 获取 办件id
    * @return pieceId
    */
    public Long getPieceId() {
        return this.pieceId;
    }
    /**
    * 设置 办件id
    * @param pieceId
    */
    public void setPieceId(Long pieceId) {
        this.pieceId = pieceId;
    }
    /**
    * 获取 系统编码
    * @return systemCode
    */
    public String getSystemCode() {
        return this.systemCode;
    }
    /**
    * 设置 系统编码
    * @param systemCode
    */
    public void setSystemCode(String systemCode) {
        this.systemCode = systemCode;
    }
    /**
    * 获取 办件编码
    * @return officeCode
    */
    public String getOfficeCode() {
        return this.officeCode;
    }
    /**
    * 设置 办件编码
    * @param officeCode
    */
    public void setOfficeCode(String officeCode) {
        this.officeCode = officeCode;
    }
    /**
    * 获取 流程状态名称
    * @return processStatusName
    */
    public String getProcessStatusName() {
        return this.processStatusName;
    }
    /**
    * 设置 流程状态名称
    * @param processStatusName
    */
    public void setProcessStatusName(String processStatusName) {
        this.processStatusName = processStatusName;
    }
    /**
    * 获取 流程状态编码
    * @return processStatusCode
    */
    public String getProcessStatusCode() {
        return this.processStatusCode;
    }
    /**
    * 设置 流程状态编码
    * @param processStatusCode
    */
    public void setProcessStatusCode(String processStatusCode) {
        this.processStatusCode = processStatusCode;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof InformationExtEntity) {
            InformationExtEntity tmp = (InformationExtEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",pieceId:").append(getPieceId())
                .append(",systemCode:").append(getSystemCode())
                .append(",officeCode:").append(getOfficeCode())
                .append(",processStatusName:").append(getProcessStatusName())
                .append(",processStatusCode:").append(getProcessStatusCode())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.pieceId = null;
         this.systemCode = null;
         this.officeCode = null;
         this.processStatusName = null;
         this.processStatusCode = null;
    }
}