package com.mortals.xhx.office.model;

import java.util.List;

/**
*
* Description:InformationExt
* date: 2021-7-29 14:50:18
*/
public class InformationExtQuery extends InformationExtEntity{
    private static final long serialVersionUID = 1627541418300L;
    /** 开始 主键ID,主键,业务生成 */
    private Long idStart;

    /** 结束 主键ID,主键,业务生成 */
    private Long idEnd;

    /** 增加 主键ID,主键,业务生成 */
    private Long idIncrement;

    /** 主键ID,主键,业务生成 */
    private List <Long> idList;

    /** 开始 办件id */
    private Long pieceIdStart;

    /** 结束 办件id */
    private Long pieceIdEnd;

    /** 增加 办件id */
    private Long pieceIdIncrement;

    /** 办件id */
    private List <Long> pieceIdList;


    /** 系统编码 */
    private List<String> systemCodeList;

    /** 办件编码 */
    private List<String> officeCodeList;

    /** 流程状态名称 */
    private List<String> processStatusNameList;

    /** 流程状态编码 */
    private List<String> processStatusCodeList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<InformationExtQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<InformationExtQuery> andConditionList;


    public InformationExtQuery(){
    }

    /**
    * 获取 开始 主键ID,主键,业务生成
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 主键ID,主键,业务生成
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID,主键,业务生成
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 主键ID,主键,业务生成
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID,主键,业务生成
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID,主键,业务生成
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID,主键,业务生成
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 主键ID,主键,业务生成
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 开始 办件id
    * @return pieceIdStart
    */
    public Long getPieceIdStart(){
    return this.pieceIdStart;
    }

    /**
    * 设置 开始 办件id
    * @param pieceIdStart
    */
    public void setPieceIdStart(Long pieceIdStart){
    this.pieceIdStart = pieceIdStart;
    }

    /**
    * 获取 结束 办件id
    * @return pieceIdEnd
    */
    public Long getPieceIdEnd(){
    return this.pieceIdEnd;
    }

    /**
    * 设置 结束 办件id
    * @param pieceIdEnd
    */
    public void setPieceIdEnd(Long pieceIdEnd){
    this.pieceIdEnd = pieceIdEnd;
    }

    /**
    * 获取 增加 办件id
    * @return pieceIdIncrement
    */
    public Long getPieceIdIncrement(){
    return this.pieceIdIncrement;
    }

    /**
    * 设置 增加 办件id
    * @param pieceIdIncrement
    */
    public void setPieceIdIncrement(Long pieceIdIncrement){
    this.pieceIdIncrement = pieceIdIncrement;
    }

    /**
    * 获取 办件id
    * @return pieceIdList
    */
    public List<Long> getPieceIdList(){
    return this.pieceIdList;
    }

    /**
    * 设置 办件id
    * @param pieceIdList
    */
    public void setPieceIdList(List<Long> pieceIdList){
        this.pieceIdList = pieceIdList;
        }
    /**
    * 获取 系统编码
    * @return systemCodeList
    */
    public List<String> getSystemCodeList(){
        return this.systemCodeList;
    }

    /**
    * 设置 系统编码
    * @param systemCodeList
    */
    public void setSystemCodeList(List<String> systemCodeList){
        this.systemCodeList = systemCodeList;
    }
    /**
    * 获取 办件编码
    * @return officeCodeList
    */
    public List<String> getOfficeCodeList(){
        return this.officeCodeList;
    }

    /**
    * 设置 办件编码
    * @param officeCodeList
    */
    public void setOfficeCodeList(List<String> officeCodeList){
        this.officeCodeList = officeCodeList;
    }
    /**
    * 获取 流程状态名称
    * @return processStatusNameList
    */
    public List<String> getProcessStatusNameList(){
        return this.processStatusNameList;
    }

    /**
    * 设置 流程状态名称
    * @param processStatusNameList
    */
    public void setProcessStatusNameList(List<String> processStatusNameList){
        this.processStatusNameList = processStatusNameList;
    }
    /**
    * 获取 流程状态编码
    * @return processStatusCodeList
    */
    public List<String> getProcessStatusCodeList(){
        return this.processStatusCodeList;
    }

    /**
    * 设置 流程状态编码
    * @param processStatusCodeList
    */
    public void setProcessStatusCodeList(List<String> processStatusCodeList){
        this.processStatusCodeList = processStatusCodeList;
    }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<InformationExtQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<InformationExtQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<InformationExtQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<InformationExtQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}