package com.mortals.xhx.office.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:Information
* date: 2021-7-29 14:50:18
*/
public class InformationQuery extends InformationEntity{
    private static final long serialVersionUID = 1627541418278L;
    /** 开始 主键ID,主键,业务生成 */
    private Long idStart;

    /** 结束 主键ID,主键,业务生成 */
    private Long idEnd;

    /** 增加 主键ID,主键,业务生成 */
    private Long idIncrement;

    /** 主键ID,主键,业务生成 */
    private List <Long> idList;


    /** 实施清单名称 */
    private List<String> eventNameList;

    /** 实施清单编码 */
    private List<String> eventCodeList;

    /** 开始 申请人属性,1：法人 2：自然人 */
    private Integer applicantAttributesStart;

    /** 结束 申请人属性,1：法人 2：自然人 */
    private Integer applicantAttributesEnd;

    /** 增加 申请人属性,1：法人 2：自然人 */
    private Integer applicantAttributesIncrement;

    /** 申请人属性,1：法人 2：自然人 */
    private List <Integer> applicantAttributesList;

    /** 申请人证件类型 */
    private List<String> applicantCardTypeList;

    /** 申请人姓名 */
    private List<String> applicantNameList;

    /** 申请人证件号码 */
    private List<String> applicantCardNumbeList;

    /** 申请人手机号码 */
    private List<String> applicantPhoneNumberList;

    /** 机构名称 */
    private List<String> organizationNameList;

    /** 机构地址 */
    private List<String> organizationAddressList;

    /** 机构证件类型 */
    private List<String> organizationCardTypeList;

    /** 机构证件编码 */
    private List<String> organizationCardNumberList;

    /** 机构代表人姓名,法人姓名 */
    private List<String> legalPersonList;
    /** 开始 流程开始时间 */
    private String processStartedTimeStart;

    /** 结束 流程开始时间 */
    private String processStartedTimeEnd;
    /** 开始 流程结束时间 */
    private String processStopTimeStart;

    /** 结束 流程结束时间 */
    private String processStopTimeEnd;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 地区编码 */
    private List<String> areaCodeList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<InformationQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<InformationQuery> andConditionList;


    public InformationQuery(){
    }

    /**
    * 获取 开始 主键ID,主键,业务生成
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 主键ID,主键,业务生成
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID,主键,业务生成
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 主键ID,主键,业务生成
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID,主键,业务生成
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID,主键,业务生成
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID,主键,业务生成
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 主键ID,主键,业务生成
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 实施清单名称
    * @return eventNameList
    */
    public List<String> getEventNameList(){
        return this.eventNameList;
    }

    /**
    * 设置 实施清单名称
    * @param eventNameList
    */
    public void setEventNameList(List<String> eventNameList){
        this.eventNameList = eventNameList;
    }
    /**
    * 获取 实施清单编码
    * @return eventCodeList
    */
    public List<String> getEventCodeList(){
        return this.eventCodeList;
    }

    /**
    * 设置 实施清单编码
    * @param eventCodeList
    */
    public void setEventCodeList(List<String> eventCodeList){
        this.eventCodeList = eventCodeList;
    }
    /**
    * 获取 开始 申请人属性,1：法人 2：自然人
    * @return applicantAttributesStart
    */
    public Integer getApplicantAttributesStart(){
        return this.applicantAttributesStart;
    }

    /**
    * 设置 开始 申请人属性,1：法人 2：自然人
    * @param applicantAttributesStart
    */
    public void setApplicantAttributesStart(Integer applicantAttributesStart){
        this.applicantAttributesStart = applicantAttributesStart;
    }

    /**
    * 获取 结束 申请人属性,1：法人 2：自然人
    * @return applicantAttributesEnd
    */
    public Integer getApplicantAttributesEnd(){
        return this.applicantAttributesEnd;
    }

    /**
    * 设置 结束 申请人属性,1：法人 2：自然人
    * @param applicantAttributesEnd
    */
    public void setApplicantAttributesEnd(Integer applicantAttributesEnd){
        this.applicantAttributesEnd = applicantAttributesEnd;
    }

    /**
    * 获取 增加 申请人属性,1：法人 2：自然人
    * @return applicantAttributesIncrement
    */
    public Integer getApplicantAttributesIncrement(){
        return this.applicantAttributesIncrement;
    }

    /**
    * 设置 增加 申请人属性,1：法人 2：自然人
    * @param applicantAttributesIncrement
    */
    public void setApplicantAttributesIncrement(Integer applicantAttributesIncrement){
        this.applicantAttributesIncrement = applicantAttributesIncrement;
    }

    /**
    * 获取 申请人属性,1：法人 2：自然人
    * @return applicantAttributesList
    */
    public List<Integer> getApplicantAttributesList(){
        return this.applicantAttributesList;
    }

    /**
    * 设置 申请人属性,1：法人 2：自然人
    * @param applicantAttributesList
    */
    public void setApplicantAttributesList(List<Integer> applicantAttributesList){
        this.applicantAttributesList = applicantAttributesList;
    }
    /**
    * 获取 申请人证件类型
    * @return applicantCardTypeList
    */
    public List<String> getApplicantCardTypeList(){
        return this.applicantCardTypeList;
    }

    /**
    * 设置 申请人证件类型
    * @param applicantCardTypeList
    */
    public void setApplicantCardTypeList(List<String> applicantCardTypeList){
        this.applicantCardTypeList = applicantCardTypeList;
    }
    /**
    * 获取 申请人姓名
    * @return applicantNameList
    */
    public List<String> getApplicantNameList(){
        return this.applicantNameList;
    }

    /**
    * 设置 申请人姓名
    * @param applicantNameList
    */
    public void setApplicantNameList(List<String> applicantNameList){
        this.applicantNameList = applicantNameList;
    }
    /**
    * 获取 申请人证件号码
    * @return applicantCardNumbeList
    */
    public List<String> getApplicantCardNumbeList(){
        return this.applicantCardNumbeList;
    }

    /**
    * 设置 申请人证件号码
    * @param applicantCardNumbeList
    */
    public void setApplicantCardNumbeList(List<String> applicantCardNumbeList){
        this.applicantCardNumbeList = applicantCardNumbeList;
    }
    /**
    * 获取 申请人手机号码
    * @return applicantPhoneNumberList
    */
    public List<String> getApplicantPhoneNumberList(){
        return this.applicantPhoneNumberList;
    }

    /**
    * 设置 申请人手机号码
    * @param applicantPhoneNumberList
    */
    public void setApplicantPhoneNumberList(List<String> applicantPhoneNumberList){
        this.applicantPhoneNumberList = applicantPhoneNumberList;
    }
    /**
    * 获取 机构名称
    * @return organizationNameList
    */
    public List<String> getOrganizationNameList(){
        return this.organizationNameList;
    }

    /**
    * 设置 机构名称
    * @param organizationNameList
    */
    public void setOrganizationNameList(List<String> organizationNameList){
        this.organizationNameList = organizationNameList;
    }
    /**
    * 获取 机构地址
    * @return organizationAddressList
    */
    public List<String> getOrganizationAddressList(){
        return this.organizationAddressList;
    }

    /**
    * 设置 机构地址
    * @param organizationAddressList
    */
    public void setOrganizationAddressList(List<String> organizationAddressList){
        this.organizationAddressList = organizationAddressList;
    }
    /**
    * 获取 机构证件类型
    * @return organizationCardTypeList
    */
    public List<String> getOrganizationCardTypeList(){
        return this.organizationCardTypeList;
    }

    /**
    * 设置 机构证件类型
    * @param organizationCardTypeList
    */
    public void setOrganizationCardTypeList(List<String> organizationCardTypeList){
        this.organizationCardTypeList = organizationCardTypeList;
    }
    /**
    * 获取 机构证件编码
    * @return organizationCardNumberList
    */
    public List<String> getOrganizationCardNumberList(){
        return this.organizationCardNumberList;
    }

    /**
    * 设置 机构证件编码
    * @param organizationCardNumberList
    */
    public void setOrganizationCardNumberList(List<String> organizationCardNumberList){
        this.organizationCardNumberList = organizationCardNumberList;
    }
    /**
    * 获取 机构代表人姓名,法人姓名
    * @return legalPersonList
    */
    public List<String> getLegalPersonList(){
        return this.legalPersonList;
    }

    /**
    * 设置 机构代表人姓名,法人姓名
    * @param legalPersonList
    */
    public void setLegalPersonList(List<String> legalPersonList){
        this.legalPersonList = legalPersonList;
    }
    /**
    * 获取 开始 流程开始时间
    * @return processStartedTimeStart
    */
    public String getProcessStartedTimeStart(){
    return this.processStartedTimeStart;
    }

    /**
    * 设置 开始 流程开始时间
    * @param processStartedTimeStart
    */
    public void setProcessStartedTimeStart(String processStartedTimeStart){
    this.processStartedTimeStart = processStartedTimeStart;
    }

    /**
    * 获取 结束 流程开始时间
    * @return processStartedTimeEnd
    */
    public String getProcessStartedTimeEnd(){
    return this.processStartedTimeEnd;
    }

    /**
    * 设置 结束 流程开始时间
    * @param processStartedTimeEnd
    */
    public void setProcessStartedTimeEnd(String processStartedTimeEnd){
    this.processStartedTimeEnd = processStartedTimeEnd;
    }
    /**
    * 获取 开始 流程结束时间
    * @return processStopTimeStart
    */
    public String getProcessStopTimeStart(){
    return this.processStopTimeStart;
    }

    /**
    * 设置 开始 流程结束时间
    * @param processStopTimeStart
    */
    public void setProcessStopTimeStart(String processStopTimeStart){
    this.processStopTimeStart = processStopTimeStart;
    }

    /**
    * 获取 结束 流程结束时间
    * @return processStopTimeEnd
    */
    public String getProcessStopTimeEnd(){
    return this.processStopTimeEnd;
    }

    /**
    * 设置 结束 流程结束时间
    * @param processStopTimeEnd
    */
    public void setProcessStopTimeEnd(String processStopTimeEnd){
    this.processStopTimeEnd = processStopTimeEnd;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
    return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
    this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
    return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
    this.createTimeEnd = createTimeEnd;
    }
    /**
    * 获取 地区编码
    * @return areaCodeList
    */
    public List<String> getAreaCodeList(){
        return this.areaCodeList;
    }

    /**
    * 设置 地区编码
    * @param areaCodeList
    */
    public void setAreaCodeList(List<String> areaCodeList){
        this.areaCodeList = areaCodeList;
    }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<InformationQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<InformationQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<InformationQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<InformationQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}