package com.mortals.xhx.records.dao.ibatis;

import com.mortals.xhx.records.dao.RecordDao;
import com.mortals.xhx.records.model.RecordEntity;
import org.springframework.stereotype.Repository;
import com.mortals.framework.dao.ibatis.SubmeterDaoImpl;
import com.mortals.framework.model.TableParam;
import com.mortals.framework.model.TableStrategy;

/**
* <p>Title: 接口调用记录</p>
* <p>Description: RecordDaoImpl DAO接口 </p>
* @author
* @version 1.0.0
*/
@Repository("recordDao")
public class RecordDaoImpl extends SubmeterDaoImpl<RecordEntity,Long> implements RecordDao {
    @Override
    protected TableStrategy getTableStrategy()
    {
        return new TableStrategy("mortals_iot_zd_record_${unionTime}", TableStrategy.STRATEGY_BY_MONTH);
    }

    @Override
    public TableParam getTableParam(RecordEntity entity)
    {
        TableParam param = new TableParam();
        return param;
    }
}
