package com.mortals.xhx.office.dao.ibatis;

import com.mortals.xhx.office.dao.InformationDao;
import com.mortals.xhx.office.model.InformationEntity;
import org.springframework.stereotype.Repository;
import com.mortals.framework.dao.ibatis.SubmeterDaoImpl;
import com.mortals.framework.model.TableParam;
import com.mortals.framework.model.TableStrategy;

/**
* <p>Title: 办件信息</p>
* <p>Description: InformationDaoImpl DAO接口 </p>
* @author
* @version 1.0.0
*/
@Repository("informationDao")
public class InformationDaoImpl extends SubmeterDaoImpl<InformationEntity,Long> implements InformationDao {
    @Override
    protected TableStrategy getTableStrategy()
    {
        return new TableStrategy("mortals_iot_zd_information_${unionTime}", TableStrategy.STRATEGY_BY_MONTH);
    }

    @Override
    public TableParam getTableParam(InformationEntity entity)
    {
        TableParam param = new TableParam();
        return param;
    }
}
